Name:           sendKindle
Version:        2.1
Release:        1%{?dist}
Summary:        CLI tool for sending files via email to your Amazon Kindle device
BuildArch:      noarch
License:        AGPLv3+
URL:            https://github.com/kparal/sendKindle
Source0:        https://github.com/kparal/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel

%description
Send files as email attachments to your Amazon Kindle device. IMAP access
to your email account is required.

%prep
%setup -q
# Installation removed the executable bit, rpmlint then complains,
# let's remove the hashbang
# https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
sed '1{\@^#!/usr/bin/env python@d}' sendKindle.py > sendKindle.py.new
touch -r sendKindle.py{,.new}
mv sendKindle.py{.new,}

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%{_bindir}/sendKindle
%{python_sitelib}/sendKindle.py*
%{python_sitelib}/sendKindle-%{version}-*.egg-info/
%doc README.rst LICENSE

%changelog
* Thu Nov 15 2012 Kamil Páral <kparal@redhat.com> - 2.1-1
- New package for Fedora

